# CIRCLE Client
The CIRCLE client is a simple Python utility that logs into a VM on a single click 
running in the CIRCLE cloud.
After clicking the connect button on the CIRCLE dashboard, the utility starts
the appropriate program (remmina, putty, ssh...) with the current username and password.

# How to install circle client on Linux:

1. git clone -b linuxInstaller --single-branch https://git.ik.bme.hu/CIRCLE3/client.git
2. cd client
3. ansible-playbook setup.yaml<br>
If you don't want to install python3 use *setup_bundled.yaml* instead

## The script installs (if already not installed):
- python3 (except setup_bundled)
- sshpass
- remmina (standalone or snap version, snap is prefered) 
- single python script (circle_client) to /usr/local/bin
- circle_client.desktop to /usr/share/applications
- circle_client.png to /usr/share/icons

## Prerequirements:
- git
- ansible-palybook

### Tested with:
- python 3.12.3
- ansible-playbook [core 2.16.3]
   python version = 3.12.3 (main, Nov  6 2024, 18:32:19) [GCC 13.2.0] (/usr/bin/python3)
   jinja version = 3.1.2


